perms {GraphAT} | R Documentation

## Randomly permute edges or node labels in a graph

### Description

Given an adjacency matrix for a graph, `permEdgesM2M` will return an adjacency matrix after an Erdos-Renyi random permutation of the edges in the graph. `perNodesM2M` will return an adjacency matrix for a graph with identical structure, but with the node labels permuted.

### Usage

    permEdgesM2M(mat)
    permNodesM2M(mat)

### Arguments

`mat` | A square adjacency matrix for a graph.

### Value

A square adjacency matrix for the new graph, subject to a random permutation of the edges or nodes.

### Author(s)

Denise Scholtens

### References

Balasubramanian, et al. (2004) A graph theoretic approach to integromics - integrating disparate sources of functional genomics data.

### See Also

`permPower`

### Examples

    g <- matrix(c(0,1,1,1,1,0,0,0,1,0,0,0,1,0,0,0),nrow=4)

    g1 <- permEdgesM2M(g)
    g2 <- permNodesM2M(g)

[Package GraphAT version 1.8.0 Index]